X

ModRealms Launcher

TheFlash787

We have provided our own launcher for our community to use! In order to use our launcher
You MUST have Java 8 (64bit) installed so that features work correctly so that your client will crash if you try and
launch a modpack without 64bit Java installed. You can download it here.

Windows (exe): Download Link
Portable (jar): Download Link